﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartOlapStackedSeriesCase
{
    public class DataSample : ObservableCollection<SampleData>
    {
        Random r = new Random();
        public DataSample()
        {
            for(int i=0; i < 365; i++)
            {
                this.Add(new SampleData() { Date = DateTime.Today.AddDays(i), Value1 = r.Next(100), Value2 = r.Next(100) });
            }            
        }
    }

    public class SampleData
    {
        public DateTime Date { get; set; }
        public int Value1 { get; set; }
        public int Value2 { get; set; }
    }
}
